Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.validation
Class SchemaFactoryLoader

    java.lang.Object
      javax.xml.validation.SchemaFactoryLoader

    public abstract class SchemaFactoryLoader

extends Object

Factory that creates `SchemaFactory`.

This class is intended to be used by the implementations of the validation API, not by users.

Since:
  1.5

Constructor Summary
`protected` | `SchemaFactoryLoader()` A do-nothing constructor.

Method Summary
`abstract SchemaFactory` | `newFactory(String schemaLanguage)` Creates a new `SchemaFactory` object for the specified schema language.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaFactoryLoader

    protected SchemaFactoryLoader()

  A do-nothing constructor.

Method Detail

### newFactory

    public abstract SchemaFactory newFactory(String schemaLanguage)

  Creates a new `SchemaFactory` object for the specified schema language.

  Parameters:
    `schemaLanguage` - See the list of available schema languages.
  Returns:
    `null` if the callee fails to create one.
  Throws:
    `NullPointerException` - If the `schemaLanguage` parameter is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.